<?xml version="1.0" encoding="UTF-8"?>
<enunciate
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:noNamespaceSchemaLocation="http://enunciate.webcohesion.com/schemas/enunciate-2.14.0.xsd">
    <api-classes>
        <!-- Use patterns to exclude classes...

             e.g. for URI-Resolver

             -->
        <exclude pattern="org.gcube.application.geoportal.service.rest.DocsGenerator" />
        <exclude pattern="org.gcube.application.geoportal.service.rest.ConcessioniOverMongo" />
    </api-classes>
    <modules>
        <gwt-json-overlay disabled="true" />
        <php-json-client disabled="true" />
        <ruby-json-client disabled="true" />
        <java-json-client disabled="true" />
        <javascript-client disabled="true" />
        <docs docsDir="${project.build.directory}" docsSubdir="api-docs" />
        <!-- REPLACE THE ${project.artifactId} WITH YOUR APPLICATION NAME. E.g. /gcat, /uri-resolver. if the ${project.artifactId} is not matching your APPLICATION Name /> -->
        <swagger basePath="/${project.artifactId}/srv" />
        <docs freemarkerTemplate="${project.basedir}/src/main/resources/META-INF/enunciate/d4science_docs.fmt">
            <additional-css file="css/d4science_enunciate_custom.css" />
        </docs>
    </modules>
</enunciate>
